<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>
<xsl:variable name="ERROR_CODE" select="/data/rsp/err/@code"/>  

<xsl:template match="/data/Request">
</xsl:template>

<xsl:template match="/data/rsp[@stat='fail']">
<xsl:choose>
<xsl:when test="/data/Request/@class='photos' and /data/Request/@function='getListPhotos' and /data/rsp/err/@code='1'">
<xsl:element name="{$RESPONSE}">
    <xsl:attribute name="class">photos</xsl:attribute>
    <xsl:attribute name="function">getListPhotos</xsl:attribute>
    <xsl:element name="{$PARAMS}">
        <xsl:element name="array">
        <xsl:attribute name="page"><xsl:value-of select="/data/Request/Params/number[@name='page']"/></xsl:attribute>
        <xsl:attribute name="pageSize"><xsl:value-of select="/data/Request/Params/number[@name='pageSize']"/></xsl:attribute>
        <xsl:attribute name="albumId"><xsl:value-of select="/data/Request/Params/string[@name='albumId']"/></xsl:attribute>
        <xsl:attribute name="quantity">0</xsl:attribute>
        <xsl:attribute name="ownerId"><xsl:value-of select="/data/Request/Params/@id"/></xsl:attribute>
        <xsl:attribute name="name">photoList</xsl:attribute>
        </xsl:element>
    </xsl:element>
</xsl:element>
</xsl:when>

<xsl:otherwise>
    <xsl:element name="{$RESPONSE}">
        <xsl:attribute name="class">systemMessages</xsl:attribute>
            <xsl:attribute name="function">errorMessage</xsl:attribute>
        <xsl:element name="{$PARAMS}">
            <xsl:element name="{$STRING}">
                <xsl:attribute name="name">moduleName</xsl:attribute>
                <xsl:text>flickr</xsl:text>
            </xsl:element> 
            <xsl:element name="{$STRING}">
                <xsl:attribute name="name">code</xsl:attribute>
                <xsl:if test="document('errors.xml')//mysocials_errors/error[server_code=$ERROR_CODE]">
                    <xsl:value-of select="document('errors.xml')//mysocials_errors/error[server_code=$ERROR_CODE]/code"/>
                </xsl:if>
            </xsl:element> 
            <xsl:element name="{$STRING}">
                <xsl:attribute name="name">text</xsl:attribute>
                <xsl:value-of select="document('errors.xml')//mysocials_errors/error[server_code=$ERROR_CODE]/message"/>
            </xsl:element> 
            <xsl:element name="{$STRING}">
                <xsl:attribute name="name">comment</xsl:attribute>
                <xsl:value-of select="//err/@msg"/>
            </xsl:element> 
        </xsl:element>
        </xsl:element>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="/data/info">
    <xsl:element name="{$RESPONSE}">
        <xsl:attribute name="class">systemMessages</xsl:attribute>
            <xsl:attribute name="function">infoMessage</xsl:attribute>
        <xsl:element name="{$PARAMS}">
            <xsl:element name="{$STRING}">
                <xsl:attribute name="name">moduleName</xsl:attribute>
                <xsl:text>flickr</xsl:text>
            </xsl:element> 
        </xsl:element>
    </xsl:element>
</xsl:template>

</xsl:stylesheet>
